Issue 50480

Summary: idlc does not reject exception without base
Product: udk Reporter: Stephan Bergmann <stephan.bergmann.secondary>
Component: codeAssignee: AOO issues mailing list <issues>
Status: ACCEPTED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: 680m107   
Target Milestone: AOO PleaseHelp   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description Stephan Bergmann 2005-06-08 12:35:44 UTC
The input

  exception E {};

is not rejected by idlc, even though every exception must be derived (directly
or indirectly) from com.sun.star.uno.Exception or
com.sun.star.uno.RuntimeException.  javamaker rejects the resulting rdb with
"Bad type information."
Comment 1 Stephan Bergmann 2005-06-08 12:38:07 UTC
accepted
Comment 2 Stephan Bergmann 2007-01-26 10:48:43 UTC
.
Comment 3 jsc 2007-01-26 12:22:52 UTC
accepted
Comment 4 Marcus 2017-05-20 11:29:56 UTC
Reset assigne to the default "issues@openoffice.apache.org".